zenilib: SDL_AudioDriverImpl Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
SDL_AudioDriverImpl Struct Reference

`#include <SDL_sysaudio.h>`

## Public Attributes

void(* | CloseDevice )(_THIS)
void(* | Deinitialize )(void)
void(* | DetectDevices )(int iscapture, SDL_AddAudioDevice addfn)
Uint8 *(* | GetDeviceBuf )(_THIS)
int | HasCaptureSupport
void(* | LockDevice )(_THIS)
int | OnlyHasDefaultInputDevice
int | OnlyHasDefaultOutputDevice
int(* | OpenDevice )(_THIS, const char *devname, int iscapture)
void(* | PlayDevice )(_THIS)
int | ProvidesOwnCallbackThread
int | SkipMixerLock
void(* | ThreadInit )(_THIS)
void(* | UnlockDevice )(_THIS)
void(* | WaitDevice )(_THIS)
void(* | WaitDone )(_THIS)

## Detailed Description

Definition at line 36 of file SDL_sysaudio.h.

## Member Data Documentation

void(* SDL_AudioDriverImpl::CloseDevice)(_THIS)

Definition at line 45 of file SDL_sysaudio.h.

Referenced by close_audio_device(), COREAUDIO_Init(), and PSPAUD_Init().

void(* SDL_AudioDriverImpl::Deinitialize)(void)

Definition at line 48 of file SDL_sysaudio.h.

Referenced by SDL_AudioQuit().

void(* SDL_AudioDriverImpl::DetectDevices)(int iscapture, SDL_AddAudioDevice addfn)

Definition at line 38 of file SDL_sysaudio.h.

Referenced by COREAUDIO_Init(), and SDL_GetNumAudioDevices().

Uint8*(* SDL_AudioDriverImpl::GetDeviceBuf)(_THIS)

Definition at line 43 of file SDL_sysaudio.h.

Referenced by PSPAUD_Init(), and SDL_RunAudio().

int SDL_AudioDriverImpl::HasCaptureSupport

Definition at line 55 of file SDL_sysaudio.h.

Referenced by open_audio_device(), SDL_GetAudioDeviceName(), and SDL_GetNumAudioDevices().

void(* SDL_AudioDriverImpl::LockDevice)(_THIS)

Definition at line 46 of file SDL_sysaudio.h.

Referenced by SDL_LockAudioDevice(), and SDL_PauseAudioDevice().

int SDL_AudioDriverImpl::OnlyHasDefaultInputDevice

Definition at line 57 of file SDL_sysaudio.h.

Referenced by open_audio_device(), SDL_GetAudioDeviceName(), and SDL_GetNumAudioDevices().

int SDL_AudioDriverImpl::OnlyHasDefaultOutputDevice

Definition at line 56 of file SDL_sysaudio.h.

Referenced by COREAUDIO_Init(), DUMMYAUD_Init(), open_audio_device(), PSPAUD_Init(), SDL_GetAudioDeviceName(), and SDL_GetNumAudioDevices().

int(* SDL_AudioDriverImpl::OpenDevice)(_THIS, const char *devname, int iscapture)

Definition at line 39 of file SDL_sysaudio.h.

Referenced by COREAUDIO_Init(), DUMMYAUD_Init(), open_audio_device(), and PSPAUD_Init().

void(* SDL_AudioDriverImpl::PlayDevice)(_THIS)

Definition at line 42 of file SDL_sysaudio.h.

Referenced by PSPAUD_Init(), and SDL_RunAudio().

int SDL_AudioDriverImpl::ProvidesOwnCallbackThread

Definition at line 53 of file SDL_sysaudio.h.

Referenced by COREAUDIO_Init(), and open_audio_device().

int SDL_AudioDriverImpl::SkipMixerLock

Definition at line 54 of file SDL_sysaudio.h.

Referenced by open_audio_device().

void(* SDL_AudioDriverImpl::ThreadInit)(_THIS)

Definition at line 40 of file SDL_sysaudio.h.

Referenced by PSPAUD_Init(), and SDL_RunAudio().

void(* SDL_AudioDriverImpl::UnlockDevice)(_THIS)

Definition at line 47 of file SDL_sysaudio.h.

Referenced by SDL_PauseAudioDevice(), and SDL_UnlockAudioDevice().

void(* SDL_AudioDriverImpl::WaitDevice)(_THIS)

Definition at line 41 of file SDL_sysaudio.h.

Referenced by PSPAUD_Init(), and SDL_RunAudio().

void(* SDL_AudioDriverImpl::WaitDone)(_THIS)

Definition at line 44 of file SDL_sysaudio.h.

Referenced by PSPAUD_Init(), and SDL_RunAudio().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/sdl/src/audio/SDL_sysaudio.h